Support » Plugin: WP-GeoMeta » Compatibility with HyperDB

  • I have a setup with HyperDB and would like to use WP-geometa. However, I am getting the below errors. Could somebody advise if this is a HyperDB issue or another incompatibility issue. Is there a way to fix it?

    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Buffer_Point_M; expected 3, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Buffer_Point_Mi; expected 3, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.wp_buffer_point_real; expected 4, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Distance_Point_M; expected 2, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Distance_Point_Mi; expected 2, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.wp_distance_point_real; expected 3, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.wp_first_geom; expected 1, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Point_Bearing_Distance_To_Line; expected 4, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Point_Bearing_Distance_To_Line_M; expected 3, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.WP_Point_Bearing_Distance_To_Line_Mi; expected 3, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
    [02-Apr-2020 20:38:58 UTC] PHP Warning:  mysqli_query(): (42000/1318): Incorrect number of arguments for FUNCTION bv_main.wp_point_bearing_distance_coord_pair; expected 4, got 0 in /var/www/wordpress/wp-content/db.php on line 1230
Viewing 1 replies (of 1 total)
  • We’ve never tried it with HyperDB so I’m guessing it’s a compatibility issue with HyperDB or your MySQL version (which you didn’t mention).

    As we don’t support HyperDB I can’t really say either way with the info you’ve provided.

    If you can narrow the problem down to just HyperDB (eg it works without that) we can consider compatibility in a future release.

    If this is a critical feature, you could fund the development of HyperDB support.

    https://luminfire.com/contact-us/project-request-form/

Viewing 1 replies (of 1 total)
  • The topic ‘Compatibility with HyperDB’ is closed to new replies.